Skip to main content
`Ctrl`+`K`

# Cat

MIOpen: Cat
Functions
Cat

## Functions

miopenStatus_t | miopenCatForward (miopenHandle_t handle, const int32_t xCount, const miopenTensorDescriptor_t *xDescs, const void *const *xs, const miopenTensorDescriptor_t yDesc, void *y, const int32_t dim)
| Execute a cat forward layer.

## Detailed Description

## Function Documentation

## ◆ miopenCatForward()

miopenStatus_t miopenCatForward | ( | miopenHandle_t | handle,
|  | const int32_t | xCount,
|  | const miopenTensorDescriptor_t * | xDescs,
|  | const void *const * | xs,
|  | const miopenTensorDescriptor_t | yDesc,
|  | void * | y,
|  | const int32_t | dim )

Execute a cat forward layer.

Parameters

  handle | MIOpen handle (input)
  xCount | Number of input tensor x (input)
  xDescs | Tensor descriptor of input tensor x (input)
  xs | Source data tensor x (input)
  yDesc | Tensor descriptor of output tensor y (input)
  y | Data tensor y (output)
  dim | Concatenation dimension (input)

Returns
  miopenStatus_t